Skip to main content
GET
/
candidates
/
{id}
/
education
Get education
curl --request GET \
  --url https://api.gospott.com/candidates/{id}/education \
  --header 'x-api-key: <api-key>'
[
  {
    "id": "<string>",
    "institutionName": "<string>",
    "companyId": "<string>",
    "institutionLogoUrl": "<string>",
    "degree": [],
    "fieldOfStudy": "<string>",
    "grade": "<string>",
    "description": "<string>",
    "startDate": "2023-11-07T05:31:56Z",
    "endDate": "2023-11-07T05:31:56Z"
  }
]

Authorizations

x-api-key
string
header
required

API key for authentication. Get your API key from Settings → API Keys in your Spott dashboard.

Path Parameters

id
string
required

Response

Successfully retrieved education records

id
string
required
Minimum string length: 1
institutionName
string
required
companyId
string
required
Minimum string length: 1
institutionLogoUrl
string | null
required
degree
enum<string>[]
required
Available options:
High School,
Certificate,
Diploma,
Associate,
Professional,
Vocational,
Bachelor,
Master,
Postgraduate Diploma,
MBA,
LLM,
PhD,
Postdoctoral,
null
fieldOfStudy
string | null
required
grade
string | null
required
description
string | null
required
startDate
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
endDate
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$